function [Material Calculation Mesh] = DataQ8ax()
    %UWAGA! Tutaj wszystkie numeracje od 1! MATLAB!

    %PARAMETRY MATERIALOWE

    %modul Younga [kPa]
    Material.E = 1E4;

    %wsp. Poissona
    Material.ni = 0.3;

    %modul odksztalcenia objetosciowego wody [kPa]
    Material.Ke = 2.2E6;    

    %kat Fi [deg]
    Material.Fi = 20;

    %spojnosc [kPa]
    Material.c = 10;

    %kat Psi [deg]
    Material.Psi = 0;
   
    %PARAMETRY OBLICZENIOWE

    %liczba inkrementow 
    Calculation.Incr = 20;

    %tolerancja bledu dla iteracji
    Calculation.IterTol = 1E-5;

    %maksymalna liczba iteracji
    Calculation.IterMax = 50;

    %cisnienie konsolidacji [kPa]
    Calculation.ConfPres = -100.0;

    %wyjsciowe cisnienie w porach [kPa]
    Calculation.PorePres = -60.0;

    %SIATKA

    %polowa wysokosci probki [m]
    h = 0.14./2.0;
    Mesh.h = h;

    %promien probki [m]
    r = 0.035;
    Mesh.r = r;

    %wspolrzedne wezlow
    Mesh.Nodes = [0 0; 0 h/2; 0 h; r/2 h; r h;  r h/2;  r 0; r/2 0];

    %definicja elementu: wezly
    Mesh.Elem.nod = [1 2 3 4 5 6 7 8];

    %przemieszczenie na 1 inkrement [m] (do 10% wysokosci probki)
    Mesh.Disps = -h./Calculation.Incr./10.0;
