function Fcrit = Fmc( sig, Fi, coh )
    %kryterium C-M, Griffiths        
    %wygodne formy skladowych naprezenia 
    sig1 = sig(1); sig2 = sig(2); sig3 = sig(4); tau = sig(3);
        
    %aksjator p (sig_m Griffiths)
    p = (sig1 + sig2 + sig3)./3;
        
    %t
    t = 1./sqrt(3).*sqrt((sig1 - sig2).^2 + (sig2 - sig3).^2 + (sig3 - sig1).^ 2 + 6.*tau.^2);  
    sk = sqrt(3./2).*t;
    	
    %J3 (Griffiths)
    s1 = sig1 - p; s2 = sig2 - p; s3 = sig3 - p;
    J3 = s1 .* s2 .* s3 - s3 .* tau .* tau;        
          	
    % kat Lode'go (Griffiths)
    sine = -3.*sqrt(6).*J3 ./(t.^3);
    if( sine > 1 ) 
        sine = 1;
    end
    if( sine < -1 ) 
        sine = -1;
    end
    Lode = asin(sine)./3;

    Fcrit = p.*sin(Fi) + sk.*( cos(Lode)./sqrt(3) - sin(Lode).*sin(Fi)./3 ) - coh.*cos(Fi);
end