function ff = cel_triaxQ8(dane)
%funkcja celu na bazie triaxQ8()
%format short;
%ind

global Najlepsze Zestaw;

%wyniki badan
if Zestaw == 1
    load zestaw1;
end

if Zestaw == 2
    load zestaw2;
end

if Zestaw == 3
    load zestaw3;
end

if Zestaw == 4
    load zestaw4;
end

if Zestaw == 5
    load zestaw5;
end

%inicjalizacja danych
[Mat Cal Msh] = DataQ8ax();

%wagi
wf1 = 1;
wf2 = 1;
wf3 = 1;

%petla obliczen
n = size(dane);
for k=1:n(1)
    Mat.Fi = dane(k,1);
    Mat.c = dane(k,2);
    Mat.Psi = dane(k,3);
    
    [Eps Sigv Sigh Pp] = triaxQ8(Mat, Cal, Msh);
    
    dev = Sigv - Sigh;
    div = Sigv ./ Sigh;
    
    f1 = norm(dev_exp - dev);    
    f2 = norm(div_exp - div);
    f3 = norm(pp_exp - Pp);
        
    ff(k) = wf1 * f1 + wf2 * f2 + wf3 * f3;

    if ff(k) < Najlepsze.cel
        Najlepsze.cel = ff(k);
        Najlepsze.Fi = Mat.Fi;
        Najlepsze.c = Mat.c;
        Najlepsze.Psi = Mat.Psi;
    end
end


